Eclipse Rich Ajax Platform Release 1.3

## org.eclipse.swt
Class SWTException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.swt.SWTException

All Implemented Interfaces:
  Serializable

public class SWTException
extends RuntimeException

This runtime exception is thrown whenever a recoverable error occurs internally in SWT. The message text and error code provide a further description of the problem. The exception has a `throwable` field which holds the underlying exception that caused the problem (if this information is available (i.e. it may be null)).

SWTExceptions are thrown when something fails internally, but SWT is left in a known stable state (eg. a widget call was made from a non-u/i thread, or there is failure while reading an Image because the source file was corrupt).

Since:
  1.0
See Also:
  `SWTError`, Serialized Form

Field Summary
`int` `code` The SWT error code, one of SWT.ERROR_*.
`Throwable` `throwable` The underlying throwable that caused the problem, or null if this information is not available.

Constructor Summary
`SWTException()` Constructs a new instance of this class with its stack trace filled in.
`SWTException(int code)` Constructs a new instance of this class with its stack trace and error code filled in.
`SWTException(int code, String message)` Constructs a new instance of this class with its stack trace, error code and message filled in.
`SWTException(String message)` Constructs a new instance of this class with its stack trace and message filled in.

Method Summary
`Throwable` `getCause()` Returns the underlying throwable that caused the problem, or null if this information is not available.
`String` `getMessage()` Returns the string describing this SWTException object.
`void` `printStackTrace()` Outputs a printable representation of this exception's stack trace on the standard error stream.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### code

    public int code

  The SWT error code, one of SWT.ERROR_*.

### throwable

    public Throwable throwable

  The underlying throwable that caused the problem, or null if this information is not available.

Constructor Detail

### SWTException

    public SWTException()

  Constructs a new instance of this class with its stack trace filled in. The error code is set to an unspecified value.

### SWTException

    public SWTException(String message)

  Constructs a new instance of this class with its stack trace and message filled in. The error code is set to an unspecified value. Specifying `null` as the message is equivalent to specifying an empty string.

Parameters:
  `message` - the detail message for the exception

### SWTException

    public SWTException(int code)

  Constructs a new instance of this class with its stack trace and error code filled in.

Parameters:
  `code` - the SWT error code

### SWTException

    public SWTException(int code,
                        String message)

  Constructs a new instance of this class with its stack trace, error code and message filled in. Specifying `null` as the message is equivalent to specifying an empty string.

Parameters:
  `code` - the SWT error code
  `message` - the detail message for the exception

Method Detail

### getCause

    public Throwable getCause()

  Returns the underlying throwable that caused the problem, or null if this information is not available.

  NOTE: This method overrides Throwable.getCause() that was added to JDK1.4. It is necessary to override this method in order for inherited printStackTrace() methods to work.

  Returns:
    the underlying throwable
  Since:
    1.0

### getMessage

    public String getMessage()

  Returns the string describing this SWTException object.

  It is combined with the message string of the Throwable which caused this SWTException (if this information is available).

  Returns:
    the error message string of this SWTException object

### printStackTrace

    public void printStackTrace()

  Outputs a printable representation of this exception's stack trace on the standard error stream.

  Note: printStackTrace(PrintStream) and printStackTrace(PrintWriter) are not provided in order to maintain compatibility with CLDC.

Eclipse Rich Ajax Platform Release 1.3

Copyright (c) Innoopract Informationssysteme GmbH and others 2002, 2011. All rights reserved.